# Disclaimer
This moveset mod is based on Angel's TEKKEN TAG TOURNAMENT 2 moveset, designed and animated by Bandai Namco and the Tekken Project. 
This is only a fan-made moveset, made by replicating existing behaviors and animations from TEKKEN 7, game also designed and animated by Bandai Namco and the Tekken Project. 
Any resemblance or similarity with unannounced or unreleased content for TEKKEN 7 is purely coincidental. 
The mod has been tested and it's safe to use, but I do not take any responsibility for any harm or damage it may cause to your computer.


# How to use
This moveset mod was designed to be loaded with Tekken Moveset Extractor, being imported into memory in real-time. In order to use this moveset mod, you'll need the following files:
- Angel's animations from Tekken Tag Tournament 2
- Some Tekken 7 animations for updated and reworked moves/mechanics

You can find a list of the required animation binaries in "required_animations.txt" inside this project, please make sure you've got all the .bin files before loading the mod or otherwise game crashes might happen. 
Further instructions on how to extract animation files can be found on the Tekken Moveset Extractor Github page here: https://github.com/Kiloutre/TekkenMovesetExtractor. 

Once you've gathered all the files, simply put them inside "anim" and then move the "PROJECT_ANGEL_KAT/NIN" folder to "extracted_chars" (located inside the Tekken Moveset Extractor folder). 
Next, start the game, and once it's fully loaded, open the tool, select the moveset from the list, click "Set Online Local Player" and wait for the moveset to be loaded. 
Once it's done you can then select any game mode and any character you want and the moveset will be ready at the start of the match. 
Currently the moves fucntions properly using either Nina or Katerina due to the differences in both their intros and outros; but you're still able to play with any of the roster with this moveset (expect weird camera in intro/outros). 

Alternate Options: For those that aren't able to grab the animation files manually, please down the files through this link (https://mega.nz/folder/B1VnXIKA#Zdzq6_Yu-Ko_HnqdYxMxNg)

Hitboxes may behave differently on bigger character models, so keep that in mind. Refer to the extraction tool's Github page for more information about how to use it correctly and how to play online with the mod.

# Bug reports
Since this is a first release, I expect there to be bugs while playing this character.  It's very difficult to test every character in the game with this moveset as well to fix and detect various bugs with no team to help. 
As I'm working on updating the mod to make it more functional, please let me know if you find any bugs that I may have overlooked via Twitter DM or reply (https://twitter.com/Bop_k4Free), or at Discord DM (BoppuPoppu#6152).
Your help is much appreciated! 

# 1.1 update
Fixed certain tailspins that reset the scaling of the opponent
Fixed Balcony break bug
Fixed first variation of the rage drive; now able to tailspin without reseting the scaling of the opponent
Fixed certain moves that had the same reactions as others moves 
new block reaction for first variation rage drive 
Fixed Nina's intro and outro animaitons

# 1.2 [unofficial]
Updated Hit reactions of d/b 2,1 
Chagned Rage Art input to d 3+4; used to be d 1+2 
New string! 3,2 ~F and 3,2,1 
adjusted range of nina's version of EWGF; lower damage of E/WGF (20 from 25)
Added Lars Air command grab by using f, f 1+2 and Phantom Mist 1+2 

# 1.2 [official]
Fixed Major balcony break bug
Adjusted some cameras for certain moves 
Fixed bug that goes through player's rage art and rage drive
adjusted range on wall bounce 

# Future Task and current bugs
Adjust certain outros that allows player to continue moving around as well as intro and outro animation length cut time (Some are cut too short!) 

Find yourself stuck in a cinematic? press start to skip the cutscene (as well as intro/outros)

Fully add the Devil's Pit cinematic cutscene for Angel (Will loop a certain animation; press start to skip scene)

Work on Frame data, recovery, and startup frames to certain moves


# Moveset Updates

There are a few updates to certain moves and new moves which I will explain in a short summary (Note that all moves are not final; may be changed in a future updates):

- Rage art -
D+3+4

- Rage Drive -
F,F+3, 3+4
f,F+3, 3+4~D (During hit, hold down)

- Power Crush -
(During Phantom Mist) 1

- Wallbounce -
F * D, D/f+3

- Screw Moves - 
(During Phantom Mist) 2,1 
B+2
(While rising) 1,4 
U+4. 1 
D/B+4,3

- Bound Moves- 
U+4, 3

- New Moves -
D/B+2, 1
D/B+2, 1~U (Transitions to Heaven's Door) 
F+2.1~F (Transitions to Phantom Mist)
F,F+2[During hit 2]
3, 2, 1
3, 2~F (Transitions to Phantom Mist)
While opponent in the air, f, f+1+2
While opponent in the air, during Phantom Mist 1+2

- New move reations -
1,2,2
2,2
(While rising) 1,4
(During Phantom Mist) 3 (Counter hit)

- Sample Combos -

d/f+1,2 - f+2,1~F 2,1[S!] - d/f+3,2,1+2

f * d,d/f+2 - b+4,1 - b+2[S!] - d/b+2,1~U

PM 3 (counter hit) - (while rising) 1,4[S!] - f+2,1~f 4

PM 1 (counter hit) - d/b+2 - d/b+4,3[S!] - f+2,1,4

U+4~U 1[S!] - b+4,1 - d/f+3,2,1+2

(During Rage) EWGF - EWGF - 3, 2 ~F - 2, 1 - RA